package com.qmth.cqb.base.service;

import com.qmth.cqb.base.dao.UserRepo;
import com.qmth.cqb.base.model.User;
import com.qmth.cqb.utils.modal.PagingAndSortingResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.data.domain.ExampleMatcher;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.stereotype.Service;

import static org.springframework.data.domain.ExampleMatcher.GenericPropertyMatchers.startsWith;

/**
 * Created by songyue on 16/12/26.
 */
@Service
public class UserService {
    @Autowired
    UserRepo userRepo;

    @Autowired
    MongoTemplate mongoTemplate;

    public PagingAndSortingResponse<User> findAll(User searchCondition, PageRequest pageRequest){
        ExampleMatcher matcher = ExampleMatcher.matching()
                .withMatcher("loginName", startsWith())
                .withMatcher("userName", startsWith());
        Page<User> userList = userRepo.findAll(Example.of(searchCondition,matcher),pageRequest);
        return new PagingAndSortingResponse<User>(userList.getNumber(),userList.getSize(),
                userList.getTotalPages(),userList.getTotalElements(),userList.getContent());
    }
}
