package com.qmth.cqb.paper.model;

import java.io.Serializable;
import java.util.Map;

import com.qmth.cqb.utils.CommonUtils;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;

/**
 * @author songyue
 *
 */
public class Paper implements Serializable { 
	
	private static final long serialVersionUID = 5259364047220441490L;

	@Id
    private String id;

    @Indexed(unique = true)
    private String name;//试卷名称
    
    private String title;//试卷标题
    
    private Double totalScore;//试卷总分
    
    private String creator;//创建人id

    private Integer paperDetailCount;//大题数量

    private String createTime;//创建时间

    private String lastModifyName;//最后修改人名称

    private String word;//原始试卷word

    private String html;//原始试卷html

    private Map<String,String> params;//导入试卷属性

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getPaperDetailCount() {
        return paperDetailCount;
    }

    public void setPaperDetailCount(Integer paperDetailCount) {
        this.paperDetailCount = paperDetailCount;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getLastModifyName() {
        return lastModifyName;
    }

    public void setLastModifyName(String lastModifyName) {
        this.lastModifyName = lastModifyName;
    }

    public String getWord() {
        return word;
    }

    public void setWord(String word) {
        this.word = word;
    }

    public String getHtml() {
        return html;
    }

    public void setHtml(String html) {
        this.html = html;
    }

    public Map<String, String> getParams() {
        return params;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Paper() {
		this.createTime = CommonUtils.getCurDateTime();
    }


}
