package com.qmth.cqb.paper.service;

import java.util.Collections;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import com.qmth.cqb.paper.dao.ExamPaperRepo;
import com.qmth.cqb.paper.dao.ExtractConfigRepo;
import com.qmth.cqb.paper.dao.PaperRepo;
import com.qmth.cqb.paper.model.ExtractConfig;
import com.qmth.cqb.paper.model.Paper;

@Service
public class ExtractService {
	
	@Autowired
	ExamPaperRepo examPaperRepo;
	
	@Autowired
	PaperRepo paperRepo;
	
	@Autowired 
	ExtractConfigRepo extractConfigRepo;
	
	/**
	 * 随机抽一张试卷
	 * @param papers
	 * @return
	 */
	public Paper randomPaper(List<Paper> papers){
		if(papers.size() > 0){
			Collections.shuffle(papers);
		}else{
			return null;
		}
		return papers.get(0);
	}
	
	
	public ExtractConfig findConfig(long examId,String courseCode){
		ExtractConfig tempConfig = new ExtractConfig();
		tempConfig.setExamId(examId);
		tempConfig.setCourseCode(courseCode);
		return extractConfigRepo.findOne(Example.of(tempConfig));
	}
	
}
