package com.qmth.cqb.paper.service;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.qmth.cqb.paper.dao.PaperStructRepo;
import com.qmth.cqb.paper.model.PaperStruct;

/**
 * Created by songyue on 16/12/28.
 */
@Service
public class PaperStructService {
	
	@Autowired
    PaperStructRepo paperStructRepo;
	

    /**
     * 按ID查询导入试卷
     * @param paperId
     * @return
     */
    public PaperStruct findById(String paperId){
        return paperStructRepo.findOne(paperId);
    }

    /**
     * 保存试卷
     * @param ps
     * @return
     */
    public PaperStruct savePaperStructure(PaperStruct ps){
    	PaperStruct tempPaper = paperStructRepo.save(ps);
        return tempPaper;
    }

    /**
     * 删除导入试卷
     * @param paperId
     * @return
     */
    public void deletePaperStructure(String paperId){
    	paperStructRepo.delete(paperId);
    }

}
