package com.qmth.cqb.paper.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.cqb.paper.model.PaperStruct;
import com.qmth.cqb.paper.service.PaperStructService;

/**
 * Created by songyue on 16/12/28.
 */
@RestController
@RequestMapping("${api_cqb}/")
public class PaperStructController {
	
	@Autowired
    PaperStructService paperStructService;
	
    /**
     * 根据id获取试卷结构
     * @param 
     * @return
     */
    @GetMapping(value = "/paperStructure/{id}")
    public PaperStruct getPaperStructureById(@PathVariable String id){
        return paperStructService.findById(id);
    }
    

    /**
     * 更新试卷结构
     * @param 
     * @return
     */
    @PutMapping(value = "/paperStructure")
    public ResponseEntity updatePaperStructure(@ModelAttribute PaperStruct ps){
    	PaperStruct paperStruct = paperStructService.savePaperStructure(ps);
    	return new ResponseEntity(paperStruct,HttpStatus.OK);
    	
    }

    /**
     * 新增试卷结构
     * @param ps
     * @return
     */
    @PostMapping(value = "/paperStructure")
    public ResponseEntity addPaperStructure(@ModelAttribute PaperStruct ps){
    	PaperStruct paperStruct = paperStructService.savePaperStructure(ps);
    	return new ResponseEntity(paperStruct,HttpStatus.OK);
    }

    /**
     * 删除试卷结构
     * @param id
     * @return
     */
    @DeleteMapping(value = "/paperStructure/{id}")
    public ResponseEntity removePaperStructure(@PathVariable String id){
    	paperStructService.deletePaperStructure(id);
		return new ResponseEntity(HttpStatus.OK);
    }
}
